# Namespace: connection

## .net.connection

beef.net.connection - wraps Mozilla's Network Information API https://developer.mozilla.org/en-US/docs/Web/API/NetworkInformation https://developer.mozilla.org/en-US/docs/Web/API/Navigator/connection

Source:
  - net/connection.js, line 7

### Methods

#### (static) downlinkMax() → {String}

Returns the maximum downlink speed of the connection. https://developer.mozilla.org/en-US/docs/Web/API/NetworkInformation/downlinkMax

Source:
  - net/connection.js, line 36

##### Returns:

downlink max or 'unknown'.

Type
  String

##### Example

    beef.net.connection.downlinkMax()

#### (static) type() → {String}

Returns the connection type. https://developer.mozilla.org/en-US/docs/Web/API/NetworkInformation/type

Source:
  - net/connection.js, line 20

##### Returns:

connection type or 'unknown'.

Type
  String

##### Example

    beef.net.connection.type()